%define name lsongs
%define ver 0.1.0b24
%define rel 1mdk
%define extraver -0.0.0.45.lindows0.1

%define have_pre %(echo %ver|awk '{p=0} /[a-z,A-Z]/ {p=1} {print p}')
%if %have_pre
%define version %(perl -e '$name="%ver"; print ($name =~ /(.*?)[a-z]/);')
%define release 0.b24.2mdk
%else
%define version %ver
%define release 0.b24.2mdk
%endif

Summary: 	LSongs media player
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}_%{ver}%{extraver}.tar.bz2
License:	GPL
Group: 		Sound
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
Url: 		http://www.linspire.com/%{name}
BuildRequires:	python-devel ImageMagick
BuildRequires:	PyQt
Requires:	PyQt pyxine pyid3lib
BuildArch:	noarch

%description
LSongs media player

%prep
%setup -q -n %{name}-%ver
%build

%install
python install.py -i %{buildroot} -b %{_bindir}

mkdir -p %{buildroot}/{%{_menudir},%{_miconsdir},%{_liconsdir}}
#convert -resize 16x16 %{name}.png %{buildroot}/%{_miconsdir}/%{name}.png
#convert -resize 32x32 %{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
#install %{name}.png %{buildroot}/%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} << EOF
?package(%{name}):\
command="%{_bindir}/%{name}" \
needs="x11" \
icon="sound_section.png" \
section="Multimedia/Sound" \
title="LSongs" \
longtitle="LSongs media player"
EOF

perl -pi -e 's/python2.3/python%pyver/' $(find  $RPM_BUILD_ROOT -type f )
%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/python%{pyver}/site-packages/*
#%{_iconsdir}/%{name}.png
#%{_miconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%doc LICENSE.GPL

%changelog
* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.1.0-0.b24.2mdk
- Rebuild for new python
- fix wrongs deps

* Thu Sep 02 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.1.0-0.b24.1mdk
- 0.1.0-0.b24
- it's noarch ...

* Mon Jun 7 2004 Greg Meyer <greg@gkmweb.com> 0.1.0-0.b12.1mdk
- Updated sources to most recent release

* Tue Apr 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.1.0-0.b4.1mdk
- First Mandrake package
